Tags
Get tags
GET
{{baseHost}}/v1/tagsReturns a list of tags. Results are paginated and can be filtered via query parameters.
Responses
{ "meta": { "offset": 0, "limit": 10, "total": 8, "total_count": 0, "order": { "created_at": "asc" }, "parent_id": null }, "data": [ { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "tag", "created_by_user_name": "Igor", "created_at": "2021-09-15T11:27:39.866471Z", "updated_at": null, "archived_at": null, "media_count": 0 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "https://www.the-village.ru/", "created_by_user_name": "Igor", "created_at": "2021-11-23T15:36:16.588014Z", "updated_at": null, "archived_at": null, "media_count": 1 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "asdsad", "created_by_user_name": "Igor", "created_at": "2021-12-20T11:57:46.800006Z", "updated_at": null, "archived_at": null, "media_count": 3 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "new tag", "created_by_user_name": "Igor", "created_at": "2021-12-20T11:59:08.124924Z", "updated_at": null, "archived_at": null, "media_count": 1 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "https://vc.ru/", "created_by_user_name": "Igor", "created_at": "2021-12-29T10:54:21.502984Z", "updated_at": null, "archived_at": null, "media_count": 0 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "analytics", "created_by_user_name": "Igor", "created_at": "2022-02-19T11:29:46.559027Z", "updated_at": null, "archived_at": null, "media_count": 4 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "product2", "created_by_user_name": "Igor", "created_at": "2022-02-19T12:58:09.461328Z", "updated_at": null, "archived_at": null, "media_count": 1 }, { "id": "<UUID>", "workspace_id": "<UUID>", "tag": "new tag 2", "created_by_user_name": "Igor", "created_at": "2023-01-13T10:35:50.150348Z", "updated_at": null, "archived_at": null, "media_count": 1 } ]}Create tag
POST
{{baseHost}}/v1/tagsCreates a new tag. Returns the newly created object on success.
Request body (json)
{ "tag": "tag1"}Update tag
PUT
{{baseHost}}/v1/tags/:tag_idUpdates the specified tag. Only fields provided in the request body are changed; others are left unchanged.
Request body (json)
{ "tag": "tag1", "archived": true}Delete tag
DELETE
{{baseHost}}/v1/tags/:tag_idPermanently deletes the tag. This action cannot be undone.
Request body (json)
{ "domain": "test.ru", "archived": true}